- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I am trying to use the API to add a family symbol to a room as a proof of concept (in this case, a wall hosted commercial toilet). My code calls
new_instance = doc.Create.NewFamilyInstance(new_location, symbol, -wall_direction, wall, Structure.StructuralType.NonStructural)
where new_location is where on the wall I want to place, symbol is the commercial toilet symbol, wall_direction is the orientation of the wall (I've tried to make it negative or positive to swap the orientation but it hasn't been working), and wall is the hosted element.
I am using this link for reference: https://help.autodesk.com/view/RVT/2024/ENU/?guid=Revit_API_Revit_API_Developers_Guide_Revit_Geometr... with "XYZ, FamilySymbol, XYZ, Element, StructuralType" parameters. Thanks in advance!
However no matter what parameters I use (I can make location's Y coordinate negative or the wall_direction also negative) the toilet is always upright. What is the best way to flip the orientation of the symbol (similar to clicking the flip arrows on the symbol)?
Solved! Go to Solution.